V4 Catchable fatal error

Hello,



I am trying 4.0.1 on a subdomain where the main domain host a 2.2.5 running perfect.



Yesterday i told my hosting to upgrade to php 5.3 knowing that it will be required to run 4.0.1.



The server is running suphp and i set all files to 644 and folders to 755, to get the install screen to appear…



Well when i submit the form about the database and admin user it shows the progress screen briefly and then it goes to this error:



Catchable fatal error[color=#000000]: Argument 1 passed to _smarty_template_buffer::append_subtree() must be an instance of _smarty_parsetree, instance of _smarty_text given, called in /home/account/public_html/devo/app/lib/other/smarty/sysplugins/smarty_internal_templateparser.php on line 2167 and defined in [/color]/home/account/public_html/devo/app/lib/other/smarty/sysplugins/smarty_internal_parsetree.php[color=#000000] on line [/color]268



If i try to go to the doamin or the admin panel it shows the same error, i searched the forum for a similar error but nothing came up, anyone knows what this error could be related with?

never seen that one before. You should report it via the bug tracker. it would appear that a class is not being instantiated, but that's just a guess. Assuming you have try clearing your site cache which might have bad class data in the registry.

I manually deleted the var/cache folder but stills the same, i am going to submit it to the bug tracker.



Thanks

There was a conflict at my hosting, suphp and eaccelerator was installed.



Somehow the hosting installed eaccelerator…and this was causing this issue.